#pragma once

#include <memory>

class INativeDrawingContext;

class DrawingContext
{
public:
    DrawingContext() = default;

    static std::unique_ptr<DrawingContext> Create();

    void SetNativeContext(std::unique_ptr<INativeDrawingContext> context);

    INativeDrawingContext* GetNativeContext();

private:

    std::unique_ptr<INativeDrawingContext> mNativeDrawingContext;
};

using DrawingContextPtr = std::unique_ptr<DrawingContext>;
