#pragma once

#include "INativeDrawingContext.h"

#include <memory>
#include <cairo.h>

class CairoDrawingContext : public INativeDrawingContext
{
public:

    CairoDrawingContext(cairo_t* context);

    virtual ~CairoDrawingContext();

    static std::unique_ptr<CairoDrawingContext> Create(cairo_t* context);

    cairo_t* GetNativeContext();

    void DestroyNativeContext();

private:
    cairo_t* mNativeContext;
};

using CairoDrawingContextPtr = std::unique_ptr<CairoDrawingContext>;

